cudnn_frontend::EngineConfigBuilder_v8 Class Reference

`#include <cudnn_frontend_EngineConfig.h>`

Collaboration diagram for cudnn_frontend::EngineConfigBuilder_v8:

## Public Member Functions

auto | setEngine (Engine_v8 const &engine_) -> EngineConfigBuilder_v8 &
| Set engine for the EngineConfig_v8. More...
EngineConfig_v8 && | build ()
| EngineConfigBuilder_v8 ()=default
| ~EngineConfigBuilder_v8 ()=default
| EngineConfigBuilder_v8 (EngineConfigBuilder_v8 &&)=delete
| EngineConfigBuilder_v8 (EngineConfigBuilder_v8 const &)=delete
EngineConfigBuilder_v8 & | operator= (EngineConfigBuilder_v8 const &)=delete

## Private Attributes

EngineConfig_v8 | m_engine_config

## Detailed Description

EngineConfigBuilder_v8 Class Helper class used to build EngineConfig_v8 class

Definition at line 104 of file cudnn_frontend_EngineConfig.h.

## Constructor & Destructor Documentation

## EngineConfigBuilder_v8() [1/3]

cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8 | ( |  | ) |

explicit default

## ~EngineConfigBuilder_v8()

cudnn_frontend::EngineConfigBuilder_v8::~EngineConfigBuilder_v8 | ( |  | ) |

default

## EngineConfigBuilder_v8() [2/3]

cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8 | ( | EngineConfigBuilder_v8 && |  | ) |

delete

## EngineConfigBuilder_v8() [3/3]

cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8 | ( | EngineConfigBuilder_v8 const & |  | ) |

delete

## Member Function Documentation

## build()

EngineConfig_v8&& cudnn_frontend::EngineConfigBuilder_v8::build | ( |  | ) |

inline

constructs the Engine_v8 Config by calling the cudnn API Throws the appropriate error message

Definition at line 164 of file cudnn_frontend_EngineConfig.h.

References cudnn_frontend::EngineConfig_v8::EngineConfigBuilder_v8, cudnn_frontend::getLogger(), cudnn_frontend::EngineConfig_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## operator=()

EngineConfigBuilder_v8& cudnn_frontend::EngineConfigBuilder_v8::operator= | ( | EngineConfigBuilder_v8 const & |  | ) |

delete

## Member Data Documentation

## m_engine_config

EngineConfig_v8 cudnn_frontend::EngineConfigBuilder_v8::m_engine_config

private

Definition at line 237 of file cudnn_frontend_EngineConfig.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_EngineConfig.h